Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Security
Created: 2012-02-03 Assigned To: Karsten Dambekalns
Updated: 2012-03-06 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Wrong return value getPasswordHashingStrategyAndIdentifier()
Description

getPasswordHashingStrategyAndIdentifier is supposed to return an array, but in case a strategy identifier has been requested
already, an object will be returned and break the calling code.

Associated revisions
Revision 999b9508 - 2012-03-05 21:28 - Karsten Dambekalns

[BUGFIX] Fixes getPasswordHashingStrategyAndIdentifier() return value

getPasswordHashingStrategyAndIdentifier() is supposed to return an
array, but in case a strategy identifier has been requested already,
an object will be returned and break the calling code.

This change fixes that.

Change-Id: I32fe8da3e6330e33876c8a239d5490db348f4468
Fixes: #33645
Releases: 1.1

History
#1 - 2012-02-03 13:38 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8826

#2 - 2012-03-05 21:28 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8826

#3 - 2012-03-06 02:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:999b95082c1b5695f698a7f640e9eeaec51d9231.
